package com.jeethink.system.service;

import com.jeethink.system.domain.SystemFile;

import java.util.List;

/**
 * 文件库Service接口
 * 
 * @author jeethink
 * @date 2022-03-24
 */
public interface ISystemFileService 
{
    /**
     * 查询文件库
     * 
     * @param fileId 文件库ID
     * @return 文件库
     */
    public SystemFile selectSystemFileById(String fileId);

    /**
     * 查询文件库列表
     * 
     * @param systemFile 文件库
     * @return 文件库集合
     */
    public List<SystemFile> selectSystemFileList(SystemFile systemFile);

    /**
     * 新增文件库
     * 
     * @param systemFile 文件库
     * @return 结果
     */
    public int insertSystemFile(SystemFile systemFile);

    /**
     * 修改文件库
     * 
     * @param systemFile 文件库
     * @return 结果
     */
    public int updateSystemFile(SystemFile systemFile);

    /**
     * 批量删除文件库
     * 
     * @param fileIds 需要删除的文件库ID
     * @return 结果
     */
    public int deleteSystemFileByIds(String[] fileIds);

    /**
     * 删除文件库信息
     * 
     * @param fileId 文件库ID
     * @return 结果
     */
    public int deleteSystemFileById(String fileId);
}
